Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
slicebefore_arg Struct Reference

## Data Fields
VALUE | sep_pred
VALUE | sep_pat
VALUE | state
VALUE | prev_elts
VALUE | yielder

## Detailed Description

Definition at line 2505 of file enum.c.

## Field Documentation

VALUE slicebefore_arg::prev_elts

Definition at line 2509 of file enum.c.

Referenced by slicebefore_i(), and slicebefore_ii().

VALUE slicebefore_arg::sep_pat

Definition at line 2507 of file enum.c.

Referenced by enum_slice_before(), slicebefore_i(), and slicebefore_ii().

VALUE slicebefore_arg::sep_pred

Definition at line 2506 of file enum.c.

Referenced by slicebefore_i(), and slicebefore_ii().

VALUE slicebefore_arg::state

Definition at line 2508 of file enum.c.

Referenced by slicebefore_i(), and slicebefore_ii().

VALUE slicebefore_arg::yielder

Definition at line 2510 of file enum.c.

Referenced by slicebefore_i(), and slicebefore_ii().

The documentation for this struct was generated from the following file:

- enum.c